<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-4bw+/aepP/YC94hEpVNVgiZdgIC5+VKNBQNGCHeKRQN+PtmoHDEXuppvnDJzQIu9" crossorigin="anonymous">
    <link rel="stylesheet" href="./css/nextUpload.css">
    <title>Viridis</title>
</head>
<body>

    <!-- nav start -->
    <nav class="navbar navbar-expand-md navbar-light border-bottom p-0 ps-5">
        <div class="container">
            <a class="navbar-brand" href="#">
                <span class="text-coperate-color fw-bold fs-3">Gcit-Quora</span>
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ">
                    <li class="nav-item border-main-color">
                        <a class="nav-link" href="#">
                            <svg class="text-coperate-color" xmlns="http://www.w3.org/2000/svg"  viewBox="0 0 24 24" fill="currentColor"><path d="M0 0h24v24H0z" fill="none"/><path d="M10 20v-6h4v6h5v-8h3L12 3 2 12h3v8z"/></svg>                       
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="resources.html">
                            <svg class="text-muted" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24" viewBox="0 0 24 24" fill="currentColor"><g><path d="M0,0h24v24H0V0z" fill="none"/></g><g><path d="M16,3H5C3.9,3,3,3.9,3,5v14c0,1.1,0.9,2,2,2h14c1.1,0,2-0.9,2-2V8L16,3z M19,19H5V5h10v4h4V19z M7,17h10v-2H7V17z M12,7H7 v2h5V7z M7,13h10v-2H7V13z"/></g></svg>
                            <span class="position-relative me-auto">
                                <!-- <span class="position-absolute top-0 start-100 translate-middle p-1 bg-danger border border-light rounded-circle"> -->
                                    <span class="visually-hidden">Resources</span>
                                <!-- </span> -->
                            </span>
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="question.html">
                            <svg class="text-muted" xmlns="http://www.w3.org/2000/svg" enable-background="new 0 0 24 24"  viewBox="0 0 24 24" fill="currentColor"><rect fill="none" height="24" width="24"/><path d="M3,10h11v2H3V10z M3,8h11V6H3V8z M3,16h7v-2H3V16z M18.01,12.87l0.71-0.71c0.39-0.39,1.02-0.39,1.41,0l0.71,0.71 c0.39,0.39,0.39,1.02,0,1.41l-0.71,0.71L18.01,12.87z M17.3,13.58l-5.3,5.3V21h2.12l5.3-5.3L17.3,13.58z"/></svg>
                            <span class="position-relative">
                                <!-- <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger"> -->
                                    
                                    <span class="visually-hidden">Post</span>
                                <!-- </span> -->
                            </span>
                        </a>
                    </li>

                    
                </ul>

                <form class="d-flex">
                    <input class="form-control me-2 search-icon" type="search" placeholder="Search Quoraa" aria-label="Search">
                </form>

               

                <ul class="navbar-nav px-3 ">
                    <li class="nav-item">
                        <a class="nav-link" href="myprofile.html">
                            <img class="profile rounded-circle " src="img/profileimg.png">
                        </a>
                    </li>


            

                </ul>

                  <div class="btn-group">
                    <a  data-bs-toggle="modal" data-bs-target="#myModal" id="button1" type="button" class="btn btn-sm bg-coperate-color rounded-pill fw-bold text-light">Add question</a>
                
                  </div>
                  

            </div>
            
        </div>
    </nav>
    <!--  nav end -->
       









    
        <div class="card">
            <main class="main">
                <img src="img/bg.png" class="bimg" height="465px" width="350px" style="border-radius: 20px; margin-left: -20px; margin-top: -20px;">
                <!-- <input type="file" id="image" accept="image/*"> -->
                <form class="form" action="/api/v1/item/item" method="POST" enctype="multipart/form-data">
                    <div class="form__group">
                        <label for="title" class="form__label" style="color: rgb(233, 225, 225);">Title</label>
                        <br>
                        <input type="text" class="form__input" id="title" name="title" required/>
                    </div>
                    <br>
                    <br>
                    <div class="form__group ma-bt-md">
                        <label for="description" class="form__label" style="color: rgb(224, 217, 217);">Description</label>
                        <br>
                        <input type="text" class="form__input" id="description" name="description" required>
                    </div>
                    <br>
                    <div class="form__group ma-bt-md">
                        <label for="Photo" class="form__label" style="color: rgb(224, 217, 217);">Photo</label>
                        <br>
                        <br>
                        <input type="file" id="image" name="image" required >
                    </div>
                    <br>
                    <br>
                    <div class="form__group">
                        <button class="btn" style="color: rgb(12, 1, 1); background-color: white; width: 100%;" type="submit">Upload</button>
                    </div>
                </form>
            </main>
        </div>
        
   
  <!-- Post a form -->
  <script>
    document.querySelector('.form').addEventListener('submit', function(event) {
    event.preventDefault(); // Prevent the default form submission

    const title = document.querySelector('input[name="title"]').value;
    const description = document.querySelector('input[name="description"]').value;
    const image = document.querySelector('input[name="image"]').files[0];

    const formData = new FormData();
    formData.append('title', title);
    formData.append('description', description);
    formData.append('image', image);

    fetch('/api/v1/item/item', {
      method: 'POST',
      body: formData
    })
      .then(response => {
        if (response.ok) {
          console.log('post added successfully!');
          window.location.href = '/dashboard.html';
        } else {
          console.error('Server returned an error. Status:', response.status);
          // Additional error handling here
        }
      })
      .catch(error => {
        console.error('Network error:', error);
        // Additional error handling for network issues
      });
  });

  </script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.27.2/axios.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <!-- <script type="module" src="./js/uploadNext.js"></script> -->
</body>
</html>


